中危 Boost regex library 1.34 get_repeat_type 拒绝服务漏洞

CVE编号

CVE-2008-0172

利用情况

EXP 已公开

补丁情况

官方补丁

披露时间

2008-01-18
该漏洞EXP已公开传播,漏洞利用成本极低,建议您立即关注并修复。
漏洞描述
Boost 1.33和1.34中 Boost regex library(又名Boost.Regex)中basic_regex_creator.hpp中的get_repeat_type函数允许依赖于上下文的攻击者通过无效的正则表达式导致拒绝服务(NULL解除引用和崩溃)。

解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 boost boost 1.33 -
运行在以下环境
应用 boost boost 1.34 -
运行在以下环境
系统 oracle linux_5 boost * Up to
(excluding)
1.33.1-15.el5
运行在以下环境
系统 oracle linux_5 boost-devel * Up to
(excluding)
1.33.1-15.el5
运行在以下环境
系统 oracle linux_5 boost-doc * Up to
(excluding)
1.33.1-15.el5
运行在以下环境
系统 oracle_5 boost * Up to
(excluding)
1.33.1-15.el5
运行在以下环境
系统 redhat_5 boost * Up to
(excluding)
0:1.33.1-15.el5
运行在以下环境
系统 ubuntu ubuntu_linux 6.06_lts -
运行在以下环境
系统 ubuntu ubuntu_linux 6.10 -
运行在以下环境
系统 ubuntu ubuntu_linux 7.04 -
运行在以下环境
系统 ubuntu ubuntu_linux 7.10 -
阿里云评分
5.1
  • 攻击路径
    远程
  • 攻击复杂度
    容易
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    EXP 已公开
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    传输被破坏
  • 服务器危害
    DoS
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-20 输入验证不恰当
阿里云安全产品覆盖情况